org.jboss.jca.core.tx.noopts

## Class TransactionImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.TransactionImpl

- All Implemented Interfaces:
    java.io.Serializable, javax.transaction.Transaction

      public class TransactionImpl
      extends java.lang.Object
      implements javax.transaction.Transaction, java.io.Serializable

  A transaction implementation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionImpl(java.lang.Long key)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `boolean` | `delistResource(javax.transaction.xa.XAResource xaRes, int flag)`
    `boolean` | `enlistResource(javax.transaction.xa.XAResource xaRes)`
    `int` | `getStatus()`
    `void` | `registerSynchronization(javax.transaction.Synchronization sync)`
    `void` | `rollback()`
    `void` | `setRollbackOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionImpl

          public TransactionImpl(java.lang.Long key)

      Constructor
      Parameters:
        `key` - The transaction key

  - ### Method Detail

    - #### commit

          public void commit()
                      throws javax.transaction.RollbackException,
                             javax.transaction.HeuristicMixedException,
                             javax.transaction.HeuristicRollbackException,
                             java.lang.SecurityException,
                             java.lang.IllegalStateException,
                             javax.transaction.SystemException

      Specified by:
        `commit` in interface `javax.transaction.Transaction`
      Throws:
        `javax.transaction.RollbackException`
        `javax.transaction.HeuristicMixedException`
        `javax.transaction.HeuristicRollbackException`
        `java.lang.SecurityException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### delistResource

          public boolean delistResource(javax.transaction.xa.XAResource xaRes,
                                        int flag)
                                 throws java.lang.IllegalStateException,
                                        javax.transaction.SystemException

      Specified by:
        `delistResource` in interface `javax.transaction.Transaction`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### enlistResource

          public boolean enlistResource(javax.transaction.xa.XAResource xaRes)
                                 throws javax.transaction.RollbackException,
                                        java.lang.IllegalStateException,
                                        javax.transaction.SystemException

      Specified by:
        `enlistResource` in interface `javax.transaction.Transaction`
      Throws:
        `javax.transaction.RollbackException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### getStatus

          public int getStatus()
                        throws javax.transaction.SystemException

      Specified by:
        `getStatus` in interface `javax.transaction.Transaction`
      Throws:
        `javax.transaction.SystemException`

    - #### registerSynchronization

          public void registerSynchronization(javax.transaction.Synchronization sync)
                                       throws javax.transaction.RollbackException,
                                              java.lang.IllegalStateException,
                                              javax.transaction.SystemException

      Specified by:
        `registerSynchronization` in interface `javax.transaction.Transaction`
      Throws:
        `javax.transaction.RollbackException`
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### rollback

          public void rollback()
                        throws java.lang.IllegalStateException,
                               javax.transaction.SystemException

      Specified by:
        `rollback` in interface `javax.transaction.Transaction`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

    - #### setRollbackOnly

          public void setRollbackOnly()
                               throws java.lang.IllegalStateException,
                                      javax.transaction.SystemException

      Specified by:
        `setRollbackOnly` in interface `javax.transaction.Transaction`
      Throws:
        `java.lang.IllegalStateException`
        `javax.transaction.SystemException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)